WebSocket API

fco.orderbook

List the regular orders spawned from a conditional order (fcoId), paginated. No signature required.

Required scope: tradingws:fco:get.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

bodyobjectrequired
idstringrequired
methodstringrequired
paramsobjectrequired
fcoIdstringrequired

Conditional-order identifier.

pageIndexintegeroptional

Page index, starting from 1.

pageSizeintegeroptional

Number of records per page.

timestampintegerrequired

Response Body

application/json

application/json

Sample Request

wscat -c wss://api.ssi.com.vn/ws/v3/trading -x '{
  "id": "req-0006",
  "method": "fco.orderbook",
  "params": {
    "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
    "pageIndex": 1,
    "pageSize": 10
  },
  "timestamp": 1755000005000
}'

Sample Response

{
  "id": "req-0006",
  "method": "fco.orderbook",
  "status": 200,
  "result": {
    "data": [
      {
        "fcoId": "7528ac20-a340-4233-8bb7-a2379fc3c638",
        "accountNo": "1231496",
        "quantity": 4000,
        "price": "45.00",
        "symbol": "SSI",
        "side": "B",
        "orderType": "LO",
        "isMainOrder": true,
        "isAttachedOrder": false,
        "createdTime": "2026/07/29 09:15:32",
        "updatedTime": "2026/07/29 09:15:32",
        "uniqueId": "UQ-001",
        "orderId": "ORD654321",
        "matchedQuantity": 0,
        "osQuantity": 4000,
        "avgPrice": 0,
        "status": "PD",
        "detail": "",
        "type": "TS"
      }
    ],
    "pageSize": 10,
    "pageIndex": 1,
    "itemsCount": 1,
    "pagesCount": 1
  },
  "rateLimit": {
    "limit": 100,
    "remaining": 99,
    "resetMs": 900
  }
}